#!/bin/bash
set -e

spreadsheet="$1"

normalize_name () {
  echo $* | sed -e 's/[^ -]\+/\L\u&/g' -e 's/ De / de /g'
}

while read line; do
  eval member=( $line )
  if [ "${member[0]}" = "Clef AXIOM" ]; then
    break
  fi
  number="${member[0]}"
  lastname="$(normalize_name "${member[1]}")"
  firstname="$(normalize_name "${member[2]}")"
  nickname="${member[3]}"
  key="${member[4]}"

  ./create-badge.sh "$number" "$lastname $firstname" "$nickname" "$key"
done < <(xlsx2csv -q all -d ' ' "$spreadsheet" | tail +3)
